package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("fund_rating_rule")
public class FundRatingRuleDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 大赛Id
     */
    @TableField(value = "competition_id")
    private Integer competitionId;
    /**
     * 策略Id
     */
    @TableField(value = "strategy_id")
    private Integer strategyId;
    /**
     * 指标Id
     */
    @TableField(value = "indicator_id")
    private String indicatorId;
    /**
     * 权重
     */
    @TableField(value = "weight")
    private BigDecimal weight;
    /**
     * 指标排名结果:1-asc,2-desc
     */
    @TableField(value = "rating_type")
    private Integer ratingType;
    /**
     * 指标排序id
     */
    @TableField(value = "sort_id")
    private Integer sortId;
    /**
     * 记录的有效性；1-有效；0-无效；
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id,默认第一次创建者名称，创建后不变更
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间,默认第一次创建的getdate()时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id;第一次创建时与Creator值相同，修改时与修改人值相同
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 修改时间;第一次创建时与CreatTime值相同，修改时与修改时间相同
     */
    @TableField(value = "updatetime")
    private Date updateTime;
}