package com.simuwang.base.pojo.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Data;

@Data
public class FundNavDeletionDTO {

    /**
     * 管理人名称
     */
    @HeadFontStyle(fontHeightInPoints = 10)
    @ColumnWidth(25)
    @ExcelProperty("管理人名称")
    private String trustName;

    /**
     * 管理人备案编码
     */
    @ColumnWidth(15)
    @ExcelProperty("管理人备案编码")
    private String trustRegisterNumber;

    /**
     * 基金ID
     */
    @ColumnWidth(15)
    @ExcelProperty("基金ID")
    private String fundId;

    /**
     * 基金名称
     */
    @ColumnWidth(25)
    @ExcelProperty("基金名称")
    private String fundName;

    /**
     * 备案编码
     */
    @ColumnWidth(15)
    @ExcelProperty("备案编码")
    private String registerNumber;

    /**
     * 缺失年份
     */
    @ColumnWidth(15)
    @ExcelProperty("缺失年份")
    private String year;

    /**
     * 缺失周数
     */
    @ColumnWidth(15)
    @ExcelProperty("缺失周数")
    private String week;

    /**
     * 缺失日期
     */
    @ColumnWidth(15)
    @ExcelProperty("缺失日期")
    private String date;

}
